Критическая уязвимость в Samba позволяет пользователям менять пароли других пользователей

Samba критическая уязвимость уязвимость исправление
К счастью, эта уязвимость уже исправлена, как и 4 другие, обнаруженные командой Samba.

Критическая уязвимость в Samba позволяет пользователям менять пароли других пользователей

Совсем недавно пакет Samba получил набор обновлений, устраняющих 5 уязвимостей:
CVE-2022-2031 : пользователи Samba AD могут обойти могут обойти определенные ограничения, связанные со сменой паролей;
CVE-2022-32745 : пользователи Samba AD могут аварийно заверщить серверный процесс, отправляя LDAP-запросы «add» или «modify»;
CVE-2022-32746 : пользователи Samba AD могут вызвать обращение к памяти после ее освобождения (use-after-free) в серверном процессе с помощью LDAP-запросов «add» или «modify».
CVE-2022-32742 : утечка информации о содержимом памяти сервера через манипуляции с протоколом SMB1.
И последняя, наиболее опасная – CVE-2022-32744 . Уязвимость позволяет пользователям Samba Active Directory изменить пароль любого другого пользователя, в том числе и администратора. Если злоумышленник получит доступ к паролю администратора, то сможет получить полный контроль над доменом.
Чтобы сменить пароль, хакеры должны запустить kpasswd – службу для смены пароля Samba и иметь доступ к домену. После этого, злоумышленникам нужно отправить фальшивый запрос на смену пароля от имени другого пользователя, зашифровав его своим ключом. Получив такой запрос, служба обработает его без проверки соответствия ключа учетной записи.
Чтобы защититься от уязвимостей, достаточно просто установить обновления с сайта Samba или же воспользоваться изменениями конфигурации, которые подробно расписаны в описании уязвимостей.

SECURITYLAB.RU

Источник